# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-GO-TermFinder
Version:	0.86
Release:	alt9_10
Summary:	Identify GO nodes that annotate a group of genes with a significant p-value
License:	MIT
Group:		Development/Other
URL:		https://metacpan.org/release/Go-TermFinder
Source0:	https://cpan.metacpan.org/authors/id/S/SH/SHERLOCK/GO-TermFinder-%{version}.tar.gz

BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:  gcc-c++
BuildRequires:	perl-devel
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(base.pm)
BuildRequires:	perl(CGI.pm)
BuildRequires:	perl(diagnostics.pm)
BuildRequires:	perl(DynaLoader.pm)
BuildRequires:	perl(Exporter.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(File/Find.pm)
BuildRequires:	perl(GD.pm)
BuildRequires:	perl(GraphViz.pm)
BuildRequires:	perl(IO/File.pm)
BuildRequires:	perl(Storable.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Test.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(vars.pm)
BuildRequires:	perl(warnings.pm)
Source44: import.info


%description
This package is intended to provide a method whereby the P-values of a set
of GO annotations can be determined for a set of genes, based on the number
of genes that exist in the particular genome (or in a selected background
distribution from the genome), and their annotation, and the frequency with
which the GO nodes are annotated across the provided set of genes. The
P-value is simply calculated using the hypergeometric distribution as the
probability of x or more out of n genes having a given annotation, given
that G of N have that annotation in the genome in general. We chose the
hypergeometric distribution (sampling without replacement) since it is more
accurate, though slower to calculate, than the binomial distribution
(sampling with replacement).

%prep
%setup -q -n GO-TermFinder-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.bs" -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name "*.pm" -exec chmod 644 {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_archlib}/*

%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt9_10
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt8_10
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.86-alt7_10
- rebuild with perl 5.30

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt6_10
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt5_10
- rebuild to get rid of unmets

* Sun Sep 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.86-alt4_10
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.86-alt4_9
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.86-alt4_8
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.86-alt4_7
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.86-alt3_7
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.86-alt3_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.86-alt3_4
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt3_3
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.86-alt2_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.86-alt2_2
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.86-alt2_1
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.86-alt1_1
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.82-alt4_18
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.82-alt3_18
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.82-alt3_17
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.82-alt3_16
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.82-alt3_15
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.82-alt2_15
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.82-alt2_14
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.82-alt2_13
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.82-alt2_12
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1_10
- fc import

